Description: This is IMHO important, a must have feature for any PM system, like ChiliProject is. This is the final thing 

which I do miss in ChiliProject and which Basecamp has.

With just emails and activity feeds, there are just two options - either you have your mailbox full of emails 
which you do not read, or you do not have any info about changes in your projects, etc.

This should IMHO be in the core. There is a redmine plugin for a naive solution to this (that plugin simply 
takes activity feed and generates one email for every user's project and sends it to him in selected hour. User 
is able to select which projects he is interested in daily digest emails.).

The redmine plugin is here: http://www.redmine.org/plugins/digest
Here is Redmine related issue/feature request: http://www.redmine.org/issues/415

Do you want this feature as well?

The redmine plugin does not work out-of-the box in ChiliProject (tested by me), and as I have said it is just a 
naive solution, but even this solution could help a lot.

Eric, what do you think? Currently, I am slowly working on porting the selected plugin to ChiliProject, but what 
do you think about integrating it to the core? I think that we should integrate it. And make it event better and 
less a naive in future...

History
2012-07-08 11:24 pm - Felix Schäfer
I'm afraid Eric isn't around much these days, sorry.

Regarding the feature, yes, that would be a welcome addition :-) How do you propose to keep track of what to send in the digest? The naive approach 
(send everything that happened in the last timeslice) should be fairly easy to cover, a more comprehensive solution (keep track of what would have 
been sent to the user) would probably need some more work on the mailer and some brain juice to make sure not to miss anything (first example that 
comes mind: keep references to the journals of actions that would have sent an email to the user, that wouldn't work for deleted objects though as 
deleting an object also deletes the journal AFAIK).

Porting the plugin is probably a good place to start, as integrating code from a plugin to the core is relatively straightforward.

As to why something like this hasn't made it into ChiliProject (and probably Redmine) yet: there's currently no way other than scheduling tasks through 
a cron to have time-triggered actions happen in ChiliProject, and I (personally) don't think it's a good enough solution, but that's a discussion for another 
ticket :-)

2012-07-08 11:28 pm - TomÃ¡Å¡ Jukin
Ok, thx for a fast answer :-)!

I know CRON sucks, but we have whenever and capistrano, to clean the CRON mess ;-)

2012-12-19 09:09 am - Coenraad Loubser
Why is the priority on this "High"? Is there a guideline for deciding the priority of issues... I've just jumped in to see where I can help - and naturally 
started at the critical issues. Is this really one?

Anyways, I'd start by making a list of things you want in the digest ie. all the sections - and where to pull them from... or what needs changing on the 
plugin.

2012-12-21 02:56 pm - Chris Dähn
@Coenraad: ACK

I fear the ticket author just selected the priority himself and it just wasn't fixed by a dev.

Currently I don't know explicit guidelines for prios here - a good point for a docu :)

ciao,
Chris

2012-12-26 04:31 pm - Felix Schäfer
- Priority changed from High to Normal

This indeed hasn't been set by any of the core members. There's no guidelines for the priority, though usually "High" is reserved for bugs that make 
ChiliProject unusable or that create security wholes and so on.
